"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.formatTime = void 0;

var _moment = _interopRequireDefault(require("moment"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var formatTime = function formatTime(time, format, visibleDuration) {
  var lessThan3DaysShown = visibleDuration < 1000 * 60 * 60 * 24 * 3;
  if (format === "none") return visibleDuration > 10 ? Math.round(time) : time.toFixed(2 - Math.log(visibleDuration) / Math.log(10));

  if (format === "dates") {
    return (0, _moment.default)(time).format("L") + (!lessThan3DaysShown ? "" : "\n" + (0, _moment.default)(time).format("h:mm:ss a"));
  }

  if (time < 0) return "< 00:00:00";
  var deciSecs = Math.floor(time % 1000 / 10);
  var secs = Math.floor(time / 1000 % 60);
  var mins = Math.floor(time / 60000 % 60);
  var hours = Math.floor(time / (60000 * 60));
  return [hours, mins, secs, deciSecs].map(function (t) {
    return t.toString().padStart(2, "0");
  }).join(":");
};

exports.formatTime = formatTime;
var _default = formatTime;
exports.default = _default;